Bug 500492 - Review Request: dbus-cxx - C++ wrapper for dbus
Review Request: dbus-cxx - C++ wrapper for dbus
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-12 18:07 EDT by Rick L Vinyard Jr
Modified: 2009-09-30 19:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 11:14:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jochen: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rick L Vinyard Jr 2009-05-12 18:07:25 EDT
Spec URL: http://miskatonic.cs.nmsu.edu/pub/dbus-cxx.spec
SRPM URL: http://miskatonic.cs.nmsu.edu/pub/dbus-cxx-0.1.0-1.fc10.src.rpm

Description:
dbus-cxx is yet another dbus C++ wrapper. What differentiates dbus-cxx from other C++ wrappers is that dbus-cxx relies heavily on sigc++ and explicitly exposes the wrapped dbus C API.
Comment 1 Jochen Schmitt 2009-05-13 15:01:18 EDT
Good:
+ Basename of the SPEC files matches with Package name
+ Package name fullfill the naming guidelines
+ Package has proper License tag
+ License tag exclaims GPLv3 as a valid OSS license
+ Source files has GPLv3 copyright note in the header
+ Package contains verbatin text of the license
+ URL tag shows on proper project home page
+ consistently usage of rpm macros
+ Package contains most recent version of the application
+ Could download upstream source tar ball via spectool -g
+ Package source tar ball matches with upstream
/md5sum: 028c2acd8f551ea9d68cc6b01c668b41 )
+ Package contains several subpackages
+ Subpackages has proper RPM group
+ Package has proper Buildroot defintion
+ Buildroot will be cleaned on the beginning of %clean and %install
+ Package has SMP build
+ Local build works fine
+ Build honors RPM_OPt_FLAGS
+ Rpmlint is silent on source rpm
+ Rpmlint complaints
$ rpmlint dbus-cxx-tools-0.1.0-1.fc10.x86_64.rpm
dbus-cxx-tools.x86_64: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
This is acceeptable
+ Rpmlint is silent on debuginfo file
+ Debuginfo rpm contains sources
+ Local install and uninstall works fine
+ Package has proper ldconfig scriptlets
+ Packaged files has proper files properties
+ %files stanza contains no duplicates files
+ Packaged files are own by the package
+ Packaged files has no conflict with ohter packages
+ Devel package contains no *.la or *.a files
+ Package has proper %Changelog stanza

Bad:
- %doc stanza on devel subpackage seem to be large,
  It will be nice to have a extra subpackage for it
- Scratch build on koji fails 
  http://koji.fedoraproject.org/koji/taskinfo?taskID=1353480
Comment 2 Rick L Vinyard Jr 2009-05-14 15:26:31 EDT
I added a doc subpackage. 

As for the scratch build, it looks like strstr() has changed between F10 and F12. The man page for F10 says it returns a char* and it looks like F12 returns a const char*.

Either way I was able to change it to a const char* and it should build (it built on F11, and I'm not sure how to do a scratch build for a non-fedora package).

I pushed out a new release, so here is the new spec and srpm for 0.1.1:
    http://miskatonic.cs.nmsu.edu/pub/dbus-cxx.spec
    http://miskatonic.cs.nmsu.edu/pub/dbus-cxx-0.1.1-1.fc10.src.rpm
Comment 3 Mamoru TASAKA 2009-05-14 15:35:51 EDT
Just a note:

(In reply to comment #2)
> As for the scratch build, it looks like strstr() has changed between F10 and
> F12. The man page for F10 says it returns a char* and it looks like F12 returns
> a const char*.

This is:
https://www.redhat.com/archives/fedora-devel-list/2009-January/msg02248.html
(affects C++, not C)

> and I'm not sure how to do a scratch build for a non-fedora
> package).
$ koji build --scratch <target> <srpm_you_want_to_try>
will do. The successfully rebuilt packages are put on
http://koji.fedoraproject.org/scratch/<your_FAS_name>/ .
Comment 4 Jochen Schmitt 2009-05-14 15:54:28 EDT
Because, you have publsh a new upstream release:

Good:
+ Could download tar ball from upstream:
+ Packaged tar ball matches with upstream
(md5sum: 969929227ba787f76ac50cb199e2fb14)
+ Package has a extra subpackage for developers documentation
+ Koji build works fine.

Question: 
Are you the upstream developer? I ask it, because I can't see any
patch to solve your gcc-4.4/c++ issue.

Your package is APPROVED
Comment 5 Rick L Vinyard Jr 2009-05-14 16:12:05 EDT
(In reply to comment #4)

> Question: 
> Are you the upstream developer? I ask it, because I can't see any
> patch to solve your gcc-4.4/c++ issue.

Yes. It makes patching so much easier.  :)
Comment 6 Rick L Vinyard Jr 2009-05-14 16:44:23 EDT
New Package CVS Request
=======================
Package Name: dbus-cxx
Short Description: C++ wrapper for dbus
Owners: rvinyard
Branches: F-9 F-10 F-11
InitialCC:
Comment 7 Kevin Fenzi 2009-05-15 19:59:10 EDT
cvs done.
Comment 8 Rick L Vinyard Jr 2009-09-29 18:10:27 EDT
CVS branch request: EL-5
Comment 9 Kevin Fenzi 2009-09-30 19:53:02 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.